# QCA::DHPublicKey Class Reference
[QCA user API]

Diffie-Hellman Public Key. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::DHPublicKey:

Collaboration diagram for QCA::DHPublicKey:

[legend]

List of all members.

## Public Member Functions

| DHPublicKey (const DHPrivateKey &k)
| DHPublicKey (const DLGroup &domain, const BigInteger &y, const QString &provider=QString())
| DHPublicKey ()
DLGroup | domain () const
BigInteger | y () const

## Detailed Description

Diffie-Hellman Public Key.

## Constructor & Destructor Documentation

QCA::DHPublicKey::DHPublicKey | ( |  | ) |

Create an empty Diffie-Hellman public key.

QCA::DHPublicKey::DHPublicKey | ( | const DLGroup & | domain,
|  | const BigInteger & | y,
|  | const QString & | provider = `QString()` |
| ) |  |  |

Create a Diffie-Hellman public key.

Parameters:

  | domain | the discrete logarithm group to use
  | y | the public random value
  | provider | the provider to use, if a specific provider is required

QCA::DHPublicKey::DHPublicKey | ( | const DHPrivateKey & | k | ) |

Create a Diffie-Hellman public key from a specified private key.

Parameters:

  | k | the Diffie-Hellman private key to use as the source

## Member Function Documentation

DLGroup QCA::DHPublicKey::domain | ( |  | ) | const

The discrete logarithm group that is being used.

BigInteger QCA::DHPublicKey::y | ( |  | ) | const

The public random value associated with this key.

The documentation for this class was generated from the following file:

- qca_publickey.h